<?php

App::uses('EvCheckoutAppModel', 'EvCheckout.Model');
App::uses('CakeEvent', 'Event');
App::uses('AppNonDeletableModel', 'Model');
App::uses('CustomEmail', 'Lib');
App::uses('CakeSession', 'Model/Datasource');
App::uses('CakeEmail', 'Network/Email');

class OrderStatus extends EvCheckoutAppModel {

	const IN_BASKET = 1;
	const PENDING_PAYMENT = 2;
	const PAID = 3;
	const CANCELLED = 4;
	const COMPLETE = 5;

	public $hasMany = array(
		'Order' => array(
			'className' => 'EvCheckout.Order'
		)
	);

	public function orderStatus() {

		return $this->find('list');

	}

}