<div class='edit-form'>

	<div class='edit-form__header'>

		<h1 class='title'><?php echo $this->InflectorExt->pluralize($displayName) ?> <span>Administration</span></h1>

		<h2 class='title edit-form__title'><?php echo $this->InflectorExt->humanize(preg_replace('|^admin_|i', '', $this->request->action)) ?> <?php echo $this->InflectorExt->humanize($displayName) ?></h2>
	</div>

	<?php
	echo $this->Html->script('admin_form', array('inline'=>false));

	echo $this->Form->create(null, array(
		'inputDefaults'=>array(
			'empty'=>''
		),
		'type' => 'file',
		'class' => 'cr'
	));
	?>

	<div class='tab__content' data-title='Content'>

		<?php echo $this->Form->input('previousStatus', array(
			'value' => $previousStatus,
			'type' => 'hidden'
		)); ?>

		<?php echo $this->Form->input('status', array('type'=>'select')); ?>
		

		<?php 
			echo $this->Form->addField('Order.payment_method', array(
					'type' => 'string', 
					'displayonly' => true
				)
			);
		?>
		
			<?php echo $this->Form->input('Order.processed_by', array('type' => 'varchar')); ?>


		<div class="input text">
			<label>Requested Proof</label>
		<?php if ($this->request->data['Order']['requested_proof']): ?>
			Yes
		<?php else: ?>
			No
		<?php endif; ?>
		</div>
		


		<div class="input text">
			<label>&nbsp;</label>
			<?php echo $this->Html->link('View Confirmation email', array('action'=>'confirmationemail', $this->request->data['Order']['id'])); ?>		</div>

			<div class="input text">
			<label>&nbsp;</label>
			<?php echo $this->Html->link('Resend Confirmation email', array('action'=>'resendConfirmationEmail', $this->request->data['Order']['id'])); ?>		</div>

		<?php echo $this->Form->input('id'); ?>

		<?php echo $this->Form->input('Order.user_id', array('type' => 'hidden')); ?>

		<div class="order-overview">

			<div class="reference">
				<label>Order Reference</label>
				HFE<?php echo $this->request->data['Order']['id']; ?>
			</div><!-- .reference -->

			<div class="customer">
				<div class="row">
					<label for="SupplyArtworkName">Name</label>
					<?php echo $this->request->data['User']['first_name'] . ' '. $this->request->data['User']['last_name']; ?>
				</div>
				<div class="row">
					<label>Delivery Address</label>
					<div class="address">
						<?php
						if (!empty($this->request->data['DeliveryAddress']['company_name'])) {

							echo $this->request->data['DeliveryAddress']['company_name'] . '<br />';

						}
						if (!empty($this->request->data['DeliveryAddress']['house_number'])) {

							echo $this->request->data['DeliveryAddress']['house_number'] . ' ';

						}
						if (!empty($this->request->data['DeliveryAddress']['address_line_1'])) {

							echo $this->request->data['DeliveryAddress']['address_line_1'] . '<br/>';

						}
						if (!empty($this->request->data['DeliveryAddress']['address_line_2'])) {

							echo $this->request->data['DeliveryAddress']['address_line_2'] . '<br/>';

						}
						if (!empty($this->request->data['DeliveryAddress']['city'])) {

							echo $this->request->data['DeliveryAddress']['city'] . '<br/>';

						}
						if (!empty($this->request->data['DeliveryAddress']['county'])) {

							echo $this->request->data['DeliveryAddress']['county'] . '<br/>';

						}
						if (!empty($this->request->data['DeliveryAddress']['postcode'])) {

							echo $this->request->data['DeliveryAddress']['postcode'] . '<br/>';

						}
						?>
					</div><!-- .address -->
					<label>Invoice Address</label>
					<div class="address">
						<?php
						if (!empty($this->request->data['InvoiceAddress']['company_name'])) {

							echo $this->request->data['InvoiceAddress']['company_name'] . '<br />';

						}
						if (!empty($this->request->data['InvoiceAddress']['house_number'])) {

							echo $this->request->data['InvoiceAddress']['house_number'] . ' ';

						}
						if (!empty($this->request->data['InvoiceAddress']['address_line_1'])) {

							echo $this->request->data['InvoiceAddress']['address_line_1'] . '<br/>';

						}
						if (!empty($this->request->data['InvoiceAddress']['address_line_2'])) {

							echo $this->request->data['InvoiceAddress']['address_line_2'] . '<br/>';

						}
						if (!empty($this->request->data['InvoiceAddress']['city'])) {

							echo $this->request->data['InvoiceAddress']['city'] . '<br/>';

						}
						if (!empty($this->request->data['InvoiceAddress']['county'])) {

							echo $this->request->data['InvoiceAddress']['county'] . '<br/>';

						}
						if (!empty($this->request->data['InvoiceAddress']['postcode'])) {

							echo $this->request->data['InvoiceAddress']['postcode'] . '<br/>';

						}
						?>
					</div><!-- .address -->
				</div>
				<div class="row">
					<label>Telephone</label>
					<?php echo !empty($this->request->data['User']['phone']) ? $this->request->data['User']['phone'] : 'N/A'; ?>
				</div>
			</div><!-- .customer -->

			<table class="order-items" cellspacing="0" cellpadding="0" border="0">
				<tbody>

					<tr>
						<th>SKU</th>
						<th>Product</th>
						<th>Size</th>
						<th>Quantity</th>
						<th width="65" class="right">Total</th>
					</tr>

					<?php
					foreach ($this->request->data['OrderItem'] as $item) :

						// assemble product name string
						$productName = '<strong class="black">' . $item['OrderItem']['item_name'] . '</strong>';
						if (!empty($item['OrderItem']['orientation'])) {

							$productName .= '<br /><strong>Orientation</strong> ' . $item['OrderItem']['orientation'];

						}

						if (!empty($item['OrderItem']['multipliers'])) {

							$multiplierData = json_decode($item['OrderItem']['multipliers'], true);

							foreach ($multiplierData as $key => $multiplier) {

								$valueKeys = array_keys($multiplier);
								$productName .= '<br /><strong>' . $key . '</strong> - ' . $valueKeys[0];

							}

						}

						$productName .= '<br /><strong>Remove HFE Branding</strong> - '. (!empty($item['OrderItem']['remove_hfe_branding']) ? 'Yes' : 'No');

						$designType = 'N/A';

						if (!$item['OrderItem']['disable_design']) {
							if ($item['OrderItem']['user_design']) {
								$designType = 'Online designer';
							}
							else if ($item['OrderItem']['add_artwork_later']) {
								$designType = 'Add artwork later';
							}
							else if ($item['OrderItem']['design_service']) {
								$designType = 'Free design service';
							}
							else {
								$designType = 'Uploaded files';
							}
						}

						$productName .= '<br /><strong>Design</strong> - '.$designType;

						// assemble document links
						$documentLinks = '';
						foreach ($item['Document'] as $doc) :

							$documentLinks .= '<a target="_blank " href="/' . $doc['filename'] . '">' . $doc['friendly_name'] . '</a>,';

						endforeach;

						if ($item['Design']['svg']) :

							$side1 = '<img src="data:image/svg+xml;base64,'. base64_encode($item['Design']['svg']) . '">';
							$side2 = '';
							if (!empty($item['Design']['svg_side2']) && $item['Design']['is_doublesided']):
								$side2 = '<img src="data:image/svg+xml;base64,' . base64_encode($item['Design']['svg_side2']) . '">';
							endif; 

							$documentLinks .= $this->Html->link($side1, array('controller' => 'designs', 'action' => 'download',  $item['OrderItem']['id']), array('escape' => false, 'target' => 'blank')) . '<br/>';
							
							if ($side2):
								$documentLinks .= $this->Html->link($side2, array('controller' => 'designs', 'action' => 'downloadside2',  $item['OrderItem']['id']), array('escape' => false, 'target' => 'blank'));
							endif;

						endif;

						if (!empty($documentLinks)) {

							$productName .= '<br /><strong>Artwork Files</strong><br />' . $documentLinks;

						}


						if (!empty($item['OrderItem']['artwork_instructions'])) {

							$productName .= '<br /><strong>Artwork Instructions</strong><br />' . $item['OrderItem']['artwork_instructions'];

						}
						if (!empty($item['OrderItem']['comments'])) {
							$productName .= '<br /><strong>Comments</strong><br />' . $item['OrderItem']['comments'];
						}
					?>

					<tr>
						<td valign="top"><?php echo $item['Product']['sku']; ?></td>
						<td valign="top"><?php echo $productName; ?></td>
						<td valign="top"><?php echo !empty($item['OrderItem']['item_size']) ? $item['OrderItem']['item_size'] : 'N/A'; ?></td>
						<td valign="top" class="center"><?php echo $item['OrderItem']['quantity']; ?></td>
						<td valign="top" class="right"><?php echo '&pound;' . number_format($item['OrderItem']['total'], 2); ?></td>
					</tr>

					<?php endforeach; ?>

				</tbody>
			</table>

			<hr />

			<table class="totals" cellspacing="0" cellpadding="0" border="0">
				<tbody>
					<?php if (
						isset($this->request->data['Order']['discount_code'])
						&& ($this->request->data['Order']['discount_code'] != '0.00' || $this->request->data['Order']['discount_code'] != '0')
					): ?>
					<tr>
						<th>Discount</th>
						<td>
							<?php echo '-&pound;' . number_format($this->request->data['Order']['discount'], 2); ?>
						</td>
					</tr>
					<tr>
						<th>Discount Code</th>
						<td>
							<?php echo $this->request->data['Order']['discount_code']; ?>
						</td>
					</tr>
					<?php endif; ?>
					<tr>
						<th>Subtotal</th>
						<td>
							<?php echo '&pound;' . number_format($this->request->data['Order']['subtotal'], 2); ?>
						</td>
					</tr>
					<tr>
						<th>VAT</th>
						<td>
							<?php echo '&pound;' . number_format($this->request->data['Order']['vat'], 2); ?>
						</td>
					</tr>
					<tr>
						<th>Total</th>
						<td>
							<?php echo '&pound;' . number_format($this->request->data['Order']['total'], 2); ?>
						</td>
					</tr>
				</tbody>
			</table>

		</div><!-- .order-overview -->

	</div><!-- .tab__content -->

	<?php echo $this->Element('Forms/form_submit') ?>

	<?php echo $this->Form->end() ?>

</div><!-- .edit-form -->