<?php

	App::uses('CakeEventListener', 'Event');

	class DeliveryCalculatorListener implements CakeEventListener {

		public function implementedEvents() {
			return array(
				'Model.Order.updateOrderTotal' => 'calculateDeliveryCost',
			);
		}

		public function calculateDeliveryCost(CakeEvent $event) {
			
			//If SiteSetting is set for fixed delivery cost 

			//£5 for each item
			$event->data['Order']['Order']['delivery_cost'] = count($event->data['Order']['OrderItem'])* 5;
			
			//Update total 
			$event->data['Order']['Order']['total'] += $event->data['Order']['Order']['delivery_cost'];

		}

	}
